Bug 1273826 - [abrt] WARNING: CPU: 2 PID: 1828 at drivers/gpu/drm/i915/intel_display.c:1332 assert_plane.constprop.88+0x74/0xb0 [i915]() [i915]
[abrt] WARNING: CPU: 2 PID: 1828 at drivers/gpu/drm/i915/intel_display.c:1332...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:97b10cc5b3aeaffcd6625364e8b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 06:51 EDT by Kamil Páral
Modified: 2016-12-20 10:05 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:05:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (65.72 KB, text/plain)
2015-10-21 06:51 EDT, Kamil Páral
no flags Details
Full journal of f23 gnome session crash (3.41 MB, text/x-vhdl)
2015-11-07 09:04 EST, Marcel Ziswiler
no flags Details
Full journal of f23 gnome session crash (970.02 KB, text/x-vhdl)
2015-11-12 03:20 EST, Marcel Ziswiler
no flags Details
Full journal of f23 gnome session crash (522.34 KB, text/x-vhdl)
2015-11-17 07:26 EST, Marcel Ziswiler
no flags Details
Full journal of f23 gnome session crash (1.17 MB, text/x-vhdl)
2015-11-18 17:36 EST, Marcel Ziswiler
no flags Details
full journal of gnome session crash (1.84 MB, text/x-vhdl)
2015-12-18 10:42 EST, Marcel Ziswiler
no flags Details

  None (edit)
Description Kamil Páral 2015-10-21 06:51:44 EDT
Description of problem:
I just logged in and logged out.

Additional info:
reporter:       libreport-2.6.3
WARNING: CPU: 2 PID: 1828 at drivers/gpu/drm/i915/intel_display.c:1332 assert_plane.constprop.88+0x74/0xb0 [i915]()
plane A assertion failure (expected on, current off)
Modules linked in: xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack fuse tun bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables ccm bnep arc4 iTCO_wdt intel_rapl iosf_mbi iTCO_vendor_support iwlmvm x86_pkg_temp_thermal mac80211 vfat fat coretemp kvm_intel kvm uvcvideo iwlwifi snd_hda_codec_realtek snd_hda_codec_hdmi videobuf2_vmalloc snd_hda_codec_generic videobuf2_core cfg80211 videobuf2_memops v4l2_common snd_hda_intel videodev snd_hda_controller btusb btbcm snd_hda_codec rtsx_pci_ms memstick snd_hda_core btintel snd_hwdep media bluetooth snd_seq snd_seq_device snd_pcm thinkpad_acpi snd_timer mei_me snd mei lpc_ich i2c_i801 shpchp soundcore tpm_tis rfkill tpm wmi
 nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt i915 rtsx_pci_sdmmc crct10dif_pclmul crc32_pclmul mmc_core crc32c_intel i2c_algo_bit drm_kms_helper e1000e drm ghash_clmulni_intel serio_raw rtsx_pci ptp pps_core mfd_core video
CPU: 2 PID: 1828 Comm: Xorg Not tainted 4.1.6-200.fc22.x86_64 #1
Hardware name: LENOVO 20BWS1KY0H/20BWS1KY0H, BIOS JBET49WW (1.14 ) 05/21/2015
 0000000000000000 00000000c2db2689 ffff88033943b5f8 ffffffff8179b97d
 0000000000000000 ffff88033943b650 ffff88033943b638 ffffffff810a165a
 0000000100000000 0000000000000000 ffff88034b090000 ffff88034c0df000
Call Trace:
 [<ffffffff8179b97d>] dump_stack+0x45/0x57
 [<ffffffff810a165a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810a16e5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa01e1694>] assert_plane.constprop.88+0x74/0xb0 [i915]
 [<ffffffffa01e99e3>] hsw_disable_ips+0x43/0x1a0 [i915]
 [<ffffffffa01e9dc1>] intel_crtc_disable_planes+0x41/0x170 [i915]
 [<ffffffffa01eabb7>] haswell_crtc_disable+0x47/0x3c0 [i915]
 [<ffffffffa01ebe8a>] __intel_set_mode+0xbaa/0xce0 [i915]
 [<ffffffffa008143e>] ? drm_atomic_get_crtc_state+0x1e/0xc0 [drm]
 [<ffffffffa01f35ef>] intel_crtc_set_config+0xd3f/0x1080 [i915]
 [<ffffffffa00813ec>] ? drm_atomic_state_free+0x2c/0x60 [drm]
 [<ffffffffa0071516>] drm_mode_set_config_internal+0x66/0x100 [drm]
 [<ffffffffa0121d08>] restore_fbdev_mode+0xc8/0xf0 [drm_kms_helper]
 [<ffffffffa0123d69>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x80 [drm_kms_helper]
 [<ffffffffa0123de2>] drm_fb_helper_set_par+0x22/0x50 [drm_kms_helper]
 [<ffffffffa020281a>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff8134e2ed>] ? context_struct_compute_av+0x34d/0x440
 [<ffffffff8142a726>] fb_set_var+0x236/0x480
 [<ffffffff813bf429>] ? flex_array_get_ptr+0x9/0x20
 [<ffffffff8134e445>] ? type_attribute_bounds_av+0x65/0x2f0
 [<ffffffff813373d4>] ? avc_alloc_node+0x124/0x130
 [<ffffffff814201fc>] fbcon_blank+0x34c/0x390
 [<ffffffff814a859a>] do_unblank_screen+0xda/0x1d0
 [<ffffffff8149d2db>] vt_ioctl+0x56b/0x1420
 [<ffffffff8148fe31>] tty_ioctl+0x3f1/0xc30
 [<ffffffff81247ef7>] ? evict+0x107/0x190
 [<ffffffff8123c21f>] ? putname+0x6f/0x80
 [<ffffffff8123cb79>] ? do_unlinkat+0x109/0x320
 [<ffffffff8123fcf6>] do_vfs_ioctl+0x2c6/0x4d0
 [<ffffffff8123ff81>] SyS_ioctl+0x81/0xa0
 [<ffffffff817a1f2e>] system_call_fastpath+0x12/0x71

Potential duplicate: bug 1248492
Comment 1 Kamil Páral 2015-10-21 06:51:52 EDT
Created attachment 1085085 [details]
File: dmesg
Comment 2 Marcel Ziswiler 2015-11-07 09:04 EST
Created attachment 1090960 [details]
Full journal of f23 gnome session crash
Comment 3 Marcel Ziswiler 2015-11-07 09:15:09 EST
I believe I got a similar occurrence of this crash. As far as I remember I just unplugged/replugged one of my several USB-to-serial adapters in order to get its ttyUSB number (at around Nov 05 16:48:19 in above attached journal) but when clicking into one of my gnome terminals a few seconds later the whole graphical session crashed and I found myself back at the graphical login screen!

The actual crash can be found at around Nov 05 16:48:54 in above attached journal.

My system consists of a Lenovo T440s in a Ultra Dock with a Samsung full HD screen connected by HDMI.

Might be related to https://bugzilla.redhat.com/show_bug.cgi?id=1279050 which abrt reported once I logged back in.

Might be similar cause as some older bugs like https://bugzilla.redhat.com/show_bug.cgi?id=1274162 or https://bugzilla.redhat.com/show_bug.cgi?id=1248492 albeit reported on F22.

Just let me know should you require any further information on any of this.
Comment 4 Marcel Ziswiler 2015-11-12 03:20 EST
Created attachment 1093044 [details]
Full journal of f23 gnome session crash
Comment 5 Marcel Ziswiler 2015-11-12 03:25:55 EST
Another one of them nasty crashes. Just resumed my Lenovo T440s in a Ultra Dock with a screen connected by display port and gnome died on me again!

Nov 11 21:35:18 localhost.localdomain kernel: ------------[ cut here ]------------
Nov 11 21:35:18 localhost.localdomain kernel: WARNING: CPU: 3 PID: 2342 at drivers/gpu/drm/i915/intel_display.c:1362 assert_plane.constprop.98+0x6f/0x90 [i915]()
Nov 11 21:35:18 localhost.localdomain kernel: plane A assertion failure (expected on, current off)
Nov 11 21:35:18 localhost.localdomain kernel: Modules linked in: snd_usb_audio snd_usbmidi_lib snd_rawmidi rndis_wlan rndis_host cdc_ether btrfs xor raid6_pq fuse xt_CHECKSUM tun ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_tftp nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_filter ebtable_broute bridge ebtable_nat ebtables ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_raw bnep ax88179_178a usbnet mii ftdi_sio pl2303 arc4 iTCO_wdt iTCO_vendor_support intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel kvm vfat fat iwlmvm mac80211 uvcvideo snd_hda_codec_realtek
Nov 11 21:35:18 localhost.localdomain kernel:  iwlwifi snd_hda_codec_hdmi snd_hda_codec_generic i2c_i801 videobuf2_vmalloc snd_hda_intel snd_hda_codec cfg80211 videobuf2_core snd_hda_core snd_hwdep videobuf2_memops btusb snd_seq lpc_ich btrtl v4l2_common btbcm rtsx_pci_ms snd_seq_device btintel videodev memstick bluetooth snd_pcm media joydev thinkpad_acpi snd_timer mei_me shpchp mei snd tpm_tis soundcore wmi tpm rfkill nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel e1000e drm serio_raw rtsx_pci ptp pps_core video
Nov 11 21:35:18 localhost.localdomain kernel: CPU: 3 PID: 2342 Comm: Xorg Tainted: G        W       4.2.5-300.fc23.x86_64 #1
Nov 11 21:35:18 localhost.localdomain kernel: Hardware name: LENOVO 20AQ007TMZ/20AQ007TMZ, BIOS GJET84WW (2.34 ) 06/22/2015
Nov 11 21:35:18 localhost.localdomain kernel:  0000000000000000 00000000014300ed ffff880310d8b718 ffffffff8177280a
Nov 11 21:35:18 localhost.localdomain kernel:  0000000000000000 ffff880310d8b770 ffff880310d8b758 ffffffff8109e4b6
Nov 11 21:35:18 localhost.localdomain kernel:  0000000000000000 0000000000000000 ffff88032ac30000 ffff88032c71f000
Nov 11 21:35:18 localhost.localdomain kernel: Call Trace:
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff8177280a>] dump_stack+0x45/0x57
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffffa01bfaff>] assert_plane.constprop.98+0x6f/0x90 [i915]
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffffa01c8ae9>] hsw_disable_ips+0x39/0x180 [i915]
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffffa01c8c84>] intel_pre_disable_primary+0x54/0x90 [i915]
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffffa01c8cfa>] intel_crtc_disable_planes+0x3a/0x100 [i915]
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffffa01c9656>] __intel_set_mode+0x226/0xb60 [i915]
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffffa01cb29f>] ? intel_modeset_compute_config+0x3af/0xb60 [i915]
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffffa01d0c36>] intel_crtc_set_config+0x2b6/0x580 [i915]
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffffa0050306>] drm_mode_set_config_internal+0x66/0x100 [drm]
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffffa0121552>] restore_fbdev_mode+0xc2/0xf0 [drm_kms_helper]
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffffa01233d9>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x70 [drm_kms_helper]
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffffa0123442>] drm_fb_helper_set_par+0x22/0x40 [drm_kms_helper]
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffffa01df59a>] intel_fbdev_set_par+0x1a/0x60 [i915]
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff81413846>] fb_set_var+0x236/0x460
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff8133922b>] ? context_struct_compute_av+0x30b/0x3f0
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff81200176>] ? kmem_cache_alloc+0x1d6/0x210
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff813ad549>] ? flex_array_get_ptr+0x9/0x20
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff81339375>] ? type_attribute_bounds_av+0x65/0x2e0
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff81409962>] fbcon_blank+0x312/0x360
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff8148e623>] do_unblank_screen+0xd3/0x1a0
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff81483bea>] vt_ioctl+0x50a/0x12e0
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff814771f3>] tty_ioctl+0x3c3/0xba0
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff813239b2>] ? avc_has_perm+0x122/0x190
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff81101bad>] ? call_rcu_sched+0x1d/0x20
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff812313b5>] do_vfs_ioctl+0x295/0x470
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff8132944d>] ? selinux_file_ioctl+0x4d/0xc0
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff81231609>] SyS_ioctl+0x79/0x90
Nov 11 21:35:18 localhost.localdomain kernel:  [<ffffffff817791ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Nov 11 21:35:18 localhost.localdomain kernel: ---[ end trace cfaf38c4ad38418d ]---
Comment 6 Nik 2015-11-12 06:38:20 EST
You are not alone, i had that kind of problems on F22 and now on F23... I have ThinkPad t450s with two monitors connected on dp ultradock. Gnome crashes randomly on login, monitors (lenovo) don't turn on on login, fedora hangs up on login/wake , the same problem u described with pulling out usb device... (black flickering screen on laptop). Tried bunch of stuff.

Odd enough, my colleague (has debian and identical setup) has similar/identical problems. 

Even more odd to say is that windows works as it should ("lol?") when connected to ultra dock with two monitors  (so its not like it is hardware/firmware problem, its more like linux/"xorg" for some reason can't handle the setup)

Another colleague has hp/dock/2monitors + fedora 22 and has no problems....
Comment 7 Marcel Ziswiler 2015-11-17 07:26 EST
Created attachment 1095465 [details]
Full journal of f23 gnome session crash

Argh, another one! It's getting to a point where F23 seems useless for a production type setup. As an Embedded Linux developer I am happy to help investigate this further but I really don't know much about this Intel graphics stuff. Could anybody please comment?

Nov 17 11:35:54 localhost.localdomain kernel: ------------[ cut here ]------------
Nov 17 11:35:54 localhost.localdomain kernel: WARNING: CPU: 1 PID: 8330 at drivers/gpu/drm/i915/intel_display.c:1362 assert_plane.constprop.98+0x6f/0x90 [i915]()
Nov 17 11:35:54 localhost.localdomain kernel: plane A assertion failure (expected on, current off)
Nov 17 11:35:54 localhost.localdomain kernel: Modules linked in: rndis_wlan rndis_host cdc_ether btrfs xor raid6_pq fuse xt_CHECKSUM tun ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_tftp nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_filter ebtable_broute bridge ebtable_nat ebtables ip6table_security ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_filter ip6_tables iptable_security iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw bnep ax88179_178a usbnet mii pl2303 ftdi_sio arc4 iTCO_wdt iTCO_vendor_support intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel kvm vfat fat iwlmvm mac80211 snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic i2c_i801
Nov 17 11:35:54 localhost.localdomain kernel:  uvcvideo snd_hda_intel videobuf2_vmalloc videobuf2_core snd_hda_codec videobuf2_memops iwlwifi v4l2_common lpc_ich snd_hda_core cfg80211 joydev snd_hwdep snd_seq btusb snd_seq_device btrtl rtsx_pci_ms btbcm btintel videodev bluetooth memstick snd_pcm media shpchp thinkpad_acpi snd_timer mei_me mei tpm_tis snd wmi tpm soundcore rfkill nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core crct10dif_pclmul i2c_algo_bit crc32_pclmul crc32c_intel drm_kms_helper drm e1000e serio_raw rtsx_pci ptp pps_core video
Nov 17 11:35:54 localhost.localdomain kernel: CPU: 1 PID: 8330 Comm: Xorg Tainted: G        W       4.2.5-300.fc23.x86_64 #1
Nov 17 11:35:54 localhost.localdomain kernel: Hardware name: LENOVO 20AQ007TMZ/20AQ007TMZ, BIOS GJET84WW (2.34 ) 06/22/2015
Nov 17 11:35:54 localhost.localdomain kernel:  0000000000000000 000000005c2b6f72 ffff880318ed3718 ffffffff8177280a
Nov 17 11:35:54 localhost.localdomain kernel:  0000000000000000 ffff880318ed3770 ffff880318ed3758 ffffffff8109e4b6
Nov 17 11:35:54 localhost.localdomain kernel:  0000000000000000 0000000000000000 ffff88003f450000 ffff88032b9cd000
Nov 17 11:35:54 localhost.localdomain kernel: Call Trace:
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff8177280a>] dump_stack+0x45/0x57
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffffa01beaff>] assert_plane.constprop.98+0x6f/0x90 [i915]
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffffa01c7ae9>] hsw_disable_ips+0x39/0x180 [i915]
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffffa01c7c84>] intel_pre_disable_primary+0x54/0x90 [i915]
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffffa01c7cfa>] intel_crtc_disable_planes+0x3a/0x100 [i915]
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffffa01c8656>] __intel_set_mode+0x226/0xb60 [i915]
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffffa01ca29f>] ? intel_modeset_compute_config+0x3af/0xb60 [i915]
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffffa01cfc36>] intel_crtc_set_config+0x2b6/0x580 [i915]
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffffa0096306>] drm_mode_set_config_internal+0x66/0x100 [drm]
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffffa010e552>] restore_fbdev_mode+0xc2/0xf0 [drm_kms_helper]
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffffa01103d9>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x70 [drm_kms_helper]
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffffa0110442>] drm_fb_helper_set_par+0x22/0x40 [drm_kms_helper]
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffffa01de59a>] intel_fbdev_set_par+0x1a/0x60 [i915]
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff813c48b6>] ? __percpu_counter_add+0x56/0x70
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff81413846>] fb_set_var+0x236/0x460
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff8133922b>] ? context_struct_compute_av+0x30b/0x3f0
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff81200176>] ? kmem_cache_alloc+0x1d6/0x210
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff81323207>] ? avc_alloc_node+0x27/0x120
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff813ad549>] ? flex_array_get_ptr+0x9/0x20
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff81339375>] ? type_attribute_bounds_av+0x65/0x2e0
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff81409962>] fbcon_blank+0x312/0x360
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff8148e623>] do_unblank_screen+0xd3/0x1a0
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff81483bea>] vt_ioctl+0x50a/0x12e0
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff814771f3>] tty_ioctl+0x3c3/0xba0
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff813239b2>] ? avc_has_perm+0x122/0x190
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff81101bad>] ? call_rcu_sched+0x1d/0x20
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff812313b5>] do_vfs_ioctl+0x295/0x470
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff8132944d>] ? selinux_file_ioctl+0x4d/0xc0
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff81231609>] SyS_ioctl+0x79/0x90
Nov 17 11:35:54 localhost.localdomain kernel:  [<ffffffff817791ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Nov 17 11:35:54 localhost.localdomain kernel: ---[ end trace fe019c7dfbc3289c ]---
Comment 8 Adam Williamson 2015-11-17 17:38:34 EST
Fedora really doesn't do anything very much to the graphics drivers downstream; this is almost certainly an upstream kernel issue. It's usually a good idea to report it upstream (to bugs.freedesktop.org) if it's not reported there already, as non-RH developers follow that tracker, they don't follow this one.
Comment 9 Adam Williamson 2015-11-17 17:44:47 EST
Note, the kernel trace here is only a WARNING, and shouldn't actually be causing any critical problems; there are several reports of the same warning upstream, but none of them suggest there are any crashes involved.

So I *suspect* something else is crashing and happens to *trigger* this kernel warning along the way, but the kernel warning isn't the root cause of the problem. Unfortunately you seem to also be hitting the common bug https://fedoraproject.org/wiki/Common_F23_bugs#selinux-abrt-sigchld , where when a crash happens, SELinux prevents proper analysis of it. Could you make sure you've updated to selinux-policy-3.13.1-154.fc23 , so that next time this happens, we'll hopefully be able to catch whatever actually crashed?
Comment 10 Sascha Zantis 2015-11-18 04:14:51 EST
For the record: I experience similar problems and I am quite sure that they are related to google-chrome video playback problems most of the time. I already deactivated hardware acceleration for google-chrome (which was recommended somewhere) but apparently, that did not help.
However, I'm aware that chrome is third party closed source software and thus not supported by Fedora in any way (or debuggable at all as far as I can evaluate it), but I would just like to know if others who are experiencing these problems are also using that browser.
Comment 11 Adam Williamson 2015-11-18 12:33:06 EST
There's an audit message for Chrome in Marcel's logs right around the time of the trace.
Comment 12 Marcel Ziswiler 2015-11-18 16:38:12 EST
(In reply to awilliam@redhat.com from comment #9)
> Note, the kernel trace here is only a WARNING, and shouldn't actually be
> causing any critical problems; there are several reports of the same warning
> upstream, but none of them suggest there are any crashes involved.

OK, yes. You are probably correct.

> So I *suspect* something else is crashing and happens to *trigger* this
> kernel warning along the way, but the kernel warning isn't the root cause of
> the problem. Unfortunately you seem to also be hitting the common bug
> https://fedoraproject.org/wiki/Common_F23_bugs#selinux-abrt-sigchld , where
> when a crash happens, SELinux prevents proper analysis of it. Could you make
> sure you've updated to selinux-policy-3.13.1-154.fc23 , so that next time
> this happens, we'll hopefully be able to catch whatever actually crashed?

Yes, I reported that one as well and am already running that latest SELinux policy stuff since it is available in testing:

[zim@localhost ~]$ rpm -q selinux-policy
selinux-policy-3.13.1-154.fc23.noarch
Comment 13 Marcel Ziswiler 2015-11-18 16:45:59 EST
(In reply to awilliam@redhat.com from comment #11)
> There's an audit message for Chrome in Marcel's logs right around the time
> of the trace.

Yes, on that work notebook I happen to be using Chrome quite regularly but not usually any multimedia type stuff. On my home workstation I'm actually exclusively using Firefox and at least that type of crashing I have not experienced there but it is also not using Intel but rather NVIDIA graphics whatever good or bad that is doing it.

So you are basically saying that gnome whatever is so crappy that one slightly bad proprietary application like Chrome can easily crash that damn thing? Uups, should I consider going back to M$ then? I really wish there would be a way for us to figure out what the heck is going on here.
Comment 14 Adam Williamson 2015-11-18 16:50:32 EST
"So you are basically saying that gnome whatever is so crappy that one slightly bad proprietary application like Chrome can easily crash that damn thing?"

No, that would be leaping to a conclusion far ahead of the data we have.

"I really wish there would be a way for us to figure out what the heck is going on here"

Well, now you have the latest selinux-policy, next time this happens, we should hopefully get a proper crash report for the thing that crashed and that might help us figure out what's going on.
Comment 15 Marcel Ziswiler 2015-11-18 16:57:36 EST
(In reply to awilliam@redhat.com from comment #14)
> "So you are basically saying that gnome whatever is so crappy that one
> slightly bad proprietary application like Chrome can easily crash that damn
> thing?"
> 
> No, that would be leaping to a conclusion far ahead of the data we have.
> 
> "I really wish there would be a way for us to figure out what the heck is
> going on here"
> 
> Well, now you have the latest selinux-policy, next time this happens, we
> should hopefully get a proper crash report for the thing that crashed and
> that might help us figure out what's going on.

Well, but like I said I am running that latest selinux-policy since quite a while now really. So either something with that one is still not proper or I don't know!

As a matter of fact I happen to have experienced this crash again earlier today. Just looking at the data now...
Comment 16 Adam Williamson 2015-11-18 17:32:21 EST
You haven't posted any newer logs, though :) If you could post a newer log it might help. Also run 'gnome-abrt' and see what crashes are showing.
Comment 17 Marcel Ziswiler 2015-11-18 17:35:47 EST
Sorry, you are too fast for me (;-p).

This time the behaviour was slightly different I believe.

First I had trouble getting my VPN up so I decided to restart that shitty NetworkManager thingy:

Nov 18 18:09:05 localhost.localdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=NetworkManager-dispatcher comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'

Next just some random cups message:

Nov 18 18:18:49 localhost.localdomain cupsd[1327]: REQUEST localhost - - "POST / HTTP/1.1" 200 182 Renew-Subscription client-error-not-found

And then PackageKit:

Nov 18 18:29:05 localhost.localdomain PackageKit[1909]: search-file transaction /159_dbbeccec from uid 1000 finished with success after 387ms

And udisksd:

Nov 18 18:39:34 localhost.localdomain udisksd[1924]: Cleaning up mount point /run/media/zim/fedora (device 253:4 is not mounted)
Nov 18 18:39:35 localhost.localdomain udisksd[1924]: Unmounted /dev/dm-4 on behalf of uid 1000

Of course I happen to have all my drives encrypted:

Nov 18 18:39:37 localhost.localdomain udisksd[1924]: LUKS device 253:4 was manually removed
Nov 18 18:39:37 localhost.localdomain udisksd[1924]: Locked LUKS device /dev/sda4 (was unlocked as /dev/dm-4)

And now devastation started rolling with gnome's SessionManager feeling lost:

Nov 18 18:39:46 localhost.localdomain gnome-session-binary[2399]: WARNING: Lost name on bus: org.gnome.SessionManager

And of course the complementary Chrome audit:

Nov 18 18:39:46 localhost.localdomain audit[3360]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=1 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=3360 comm="chrome" exe="/opt/google/chrome/chrome" sig=6

Gnome's settings stuff exiting:

Nov 18 18:39:46 localhost.localdomain gnome-session-binary[2399]: WARNING: App 'gnome-settings-daemon.desktop' exited with code 1

That was it for this session:

Nov 18 18:39:46 localhost.localdomain polkitd[1202]: Unregistered Authentication Agent for unix-session:1 (system bus name :1.63, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_GB.UTF-8) (disconnected from bus)

And now out of the blue the thing started suspending:

Nov 18 18:39:47 localhost.localdomain systemd-logind[1139]: Suspending...

And of course a little later the Intel DRM error as well:

...
Nov 18 18:40:09 localhost.localdomain kernel: [drm:check_crtc_state [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
Nov 18 18:40:09 localhost.localdomain kernel: usb 1-3: new high-speed USB device number 79 using xhci_hcd
Nov 18 18:40:09 localhost.localdomain kernel: [drm:check_crtc_state [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
Nov 18 18:40:09 localhost.localdomain kernel: [drm:check_crtc_state [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
...

For whatever reason it decided to give me a new session:

...
Nov 18 18:40:21 localhost.localdomain audit[1]: USER_AVC pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='Unknown permission start for class system exe="/usr/lib/systemd/systemd" sauid=0 hostname=? addr=? terminal=?'
Nov 18 18:40:21 localhost.localdomain systemd-logind[1139]: New session 2 of user zim.
..

Don't know what that one is:

...
Nov 18 18:40:22 localhost.localdomain spice-vdagent[27355]: Cannot access vdagent virtio channel /dev/virtio-ports/com.redhat.spice.0
Nov 18 18:40:22 localhost.localdomain gnome-session[27234]: gnome-session-binary[27234]: WARNING: App 'spice-vdagent.desktop' exited with code 1
Nov 18 18:40:22 localhost.localdomain gnome-session-binary[27234]: WARNING: App 'spice-vdagent.desktop' exited with code 1
Nov 18 18:40:22 localhost.localdomain rtkit-daemon[1141]: Recovering from system lockup, not allowing further RT threads.
...

Mutter not happy neither:

...
Nov 18 18:40:24 localhost.localdomain gnome-shell.desktop[27418]: (gnome-shell:27418): mutter-WARNING **: STACK_OP_ADD: window 0x1400001 already in stack
Nov 18 18:40:24 localhost.localdomain gnome-shell.desktop[27418]: (gnome-shell:27418): mutter-WARNING **: STACK_OP_ADD: window 0x1400001 already in stack
...

And the soup salty:

...
Nov 18 18:40:34 localhost.localdomain org.gnome.evolution.dataserver.Calendar7[27227]: (evolution-calendar-factory-subprocess:27772): libsoup-CRITICAL **: soup_message_new: assertion 'uri_string != NULL' failed
...

And last but not least gnome-session freaking out but that might just have been when I decided to end its life:

...
Nov 18 18:40:36 localhost.localdomain gnome-session[27234]: gnome-session-binary[27234]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Nov 18 18:40:36 localhost.localdomain gnome-session-binary[27234]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
...

I really don't know. Maybe I just stop using Chrome then and see how things progress. Will attach the full journal again for somebody who might have the bigger picture of it all to have a look at.
Comment 18 Marcel Ziswiler 2015-11-18 17:36 EST
Created attachment 1096358 [details]
Full journal of f23 gnome session crash
Comment 19 Adam Williamson 2015-11-18 17:47:58 EST
It would be useful to have a log from a clean boot (not resume from suspend) that hits the crash before any suspend/resuming, just so we have the full story, if you can manage that...

It definitely seems like Chrome is crashing. If the bug happens pretty frequently, it might be worth running without Chrome just for a bit, to see if the problem goes away - if so, then we'd be sure the issue is triggered by Chrome, and we could move forward with debugging from there (with the limitation that Chrome is closed source and there's only so much we can do).

The encryption stuff is somewhat confusing, to me - it's talking about a mount point that looks like some unimportant external storage or something (/run/media/zim/fedora), but on the other hand, it seems to be sda, which would usually be the main disk. What, exactly, is it that you have encrypted?

Thanks!
Comment 20 Marcel Ziswiler 2015-11-18 17:59:01 EST
Sorry, somehow bugzilla stems from a time before one communicated concurrently (;-p).

gnome-abrt:

> google-chrome-stable quit unexpectedly
> The application encountered a problem and could not continue.
>
> Name google-chrome-stable
>
> Version 46.0.2490.86.1.x86_64
>
> Detected 4 hours ago
>
> Reported cannot be reported
>
> Your problem seems to be caused by Google Chrome Web Browser
>
> Fedora does not include Google Chrome because it is a proprietary product and
> bundles other proprietary software such as Adobe Flash plugin.

Really looks like Chrome is at odds.

Details:

> data_directory /var/spool/abrt/ccpp-2015-11-18-18:39:46-3360
> coredump $DATA_DIRECTORY/coredump (binary file, 1000.4 MiB)

Ah, now I know who is filling up my shiny new SSD (;-p).

I'm wondering whether I should send that one to Google. I have a couple friends there as well.

BTW: even now abrt already shows one more incident:

> xorg-x11-drv-intel Unexpected system error
> The system has encountered a problem and recovered.
> ...
> Reported cannot be reported
>
> A kernel problem occurred, but your kernel has been tainted (flags:GW). Kernel
> maintainers are unable to diagnose tainted reports.

Tainted? I just recently completely re-installed F23 and I am not aware of running any proprietary stuff!

https://www.kernel.org/doc/Documentation/oops-tracing.txt

>   1: 'G' if all modules loaded have a GPL or compatible license, 'P' if
>      any proprietary module has been loaded.  Modules without a
>      MODULE_LICENSE or with a MODULE_LICENSE that is not recognised by
>      insmod as GPL compatible are assumed to be proprietary.
> ...
>  10: 'W' if a warning has previously been issued by the kernel.
>      (Though some warnings may set more specific taint flags.)

OK, thank you very much but by itself it issues warnings quite regularly!

Well, well. Time to go to sleep I guess...
Comment 21 Marcel Ziswiler 2015-11-18 18:03:47 EST
(In reply to awilliam@redhat.com from comment #19)
> It would be useful to have a log from a clean boot (not resume from suspend)
> that hits the crash before any suspend/resuming, just so we have the full
> story, if you can manage that...

I agree but being a busy Embedded developer/manager I avoid reboots like the pest (;-p).

> It definitely seems like Chrome is crashing. If the bug happens pretty
> frequently, it might be worth running without Chrome just for a bit, to see
> if the problem goes away - if so, then we'd be sure the issue is triggered
> by Chrome, and we could move forward with debugging from there (with the
> limitation that Chrome is closed source and there's only so much we can do).

Yes, I will also enquire with Google whether/what might be done about it.
 
> The encryption stuff is somewhat confusing, to me - it's talking about a
> mount point that looks like some unimportant external storage or something
> (/run/media/zim/fedora), but on the other hand, it seems to be sda, which
> would usually be the main disk. What, exactly, is it that you have encrypted?

Hehe, yeah that one. I actually put a new M.2 SSD into that machine and installed a clean F23 on there and for now just mount the old regular SSD like that to access some data from the previous F22 installation on there. Actually works quite wellTM. If there wouldn't be those Chrome crashes.

> Thanks!

You are very welcome. Thank you!
Comment 22 Adam Williamson 2015-11-18 18:08:34 EST
In the 'GW' taint case you just go and find the first report, which should be the untainted one. It looks like you're hitting one or more other 'WARNING' cases too, from a quick glance at the logs. These are all worth reporting upstream if you have the time/inclination, but again shouldn't be fatal, I don't believe.

One thing you can try is to run Chromium and see if that also causes the problem. Chromium isn't in the official repos, but at least it's F/OSS, and there's a Chromium repo maintained by a Fedora dev (Tom Callaway) who *may* be inclined to try and figure out what's going on if you can reproduce with those packages:

https://copr.fedoraproject.org/coprs/spot/chromium/
Comment 23 Sascha Zantis 2015-11-19 03:36:21 EST
For some further input (I forgot to say something about my hardware). I am running a Thinkpad L450 with an i3 Broadwell ULV CPU and the integrated Intel graphics Intel HD 5500. I had similar issues on my L420 a few weeks ago with F22, just not that frequently. I am going to use chromium as a browser for a few days now, just to be sure that there is a relation between the crashes and the browser (perhaps flash). My last crash happened when I watched a video from a news page that uses flash.

Regarding tainted kernel: Mine is tainted too (flags:GWOE), because of tainted modules: acpi_call.

Another "could be" is a relation to suspend to ram and follow up driver problems. I suspend very often (most of the time, to be honest). Well, I replaced google-chrome now and will continue suspending the laptop as usual and report any changes in its behaviour.
Comment 24 Sascha Zantis 2015-11-20 09:28:49 EST
And it crashed again (without using chrome, no video playback at all)

Relevant log stuff:

Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE)
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) Backtrace:
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59afb9]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7fb38ef21b1f]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 2: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0xa9fc) [0x7fb389b1516c]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 3: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0xbe27) [0x7fb389b179a7]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 4: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0x1aad7) [0x7fb389b35287]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 5: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0x1ad31) [0x7fb389b357e1]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 6: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0x28d42) [0x7fb389b51362]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 7: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0x2b9a3) [0x7fb389b56dc3]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 8: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0x3f8fa) [0x7fb389b7ee4a]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 9: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0x3fe1a) [0x7fb389b7f77a]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 10: /usr/libexec/Xorg (DamageRegionAppend+0x3783) [0x5251e3]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 11: /usr/libexec/Xorg (SendGraphicsExpose+0xeb3) [0x434223]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 12: /usr/libexec/Xorg (SendErrorToClient+0x2df) [0x4369bf]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 13: /usr/libexec/Xorg (remove_fs_handlers+0x453) [0x43a9e3]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 14: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7fb38ef0d580]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 15: /usr/libexec/Xorg (_start+0x29) [0x424ce9]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) 16: ? (?+0x29) [0x29]
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE)
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) Segmentation fault at address 0x7fb39c583160
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE)
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: Fatal server error:
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) Caught signal 11 (Segmentation fault). Server aborting
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE)
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE)
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: Please consult the Fedora Project support
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: at http://wiki.x.org
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: for help.
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE) Please also check the log file at "/home/sascha/.local/share/xorg/Xorg.0.log" for additional information.
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (EE)
Nov 20 15:09:55 l450 /usr/libexec/gdm-x-session[2428]: (II) AIGLX: Suspending AIGLX clients for VT switch
Nov 20 15:09:57 l450 kernel: ------------[ cut here ]------------
Nov 20 15:09:57 l450 kernel: WARNING: CPU: 0 PID: 2434 at drivers/gpu/drm/i915/intel_display.c:1362 assert_plane.constprop.99+0x6f/0x90 [i915]()
Nov 20 15:09:57 l450 kernel: plane A assertion failure (expected on, current off)
Nov 20 15:09:57 l450 kernel: Modules linked in: ccm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun xt_addrtype nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack br_netfilter dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c loop ebtable_nat ebtable_filter ebtable_broute bridge stp llc ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 intel_rapl iosf_mbi iwlmvm x86_pkg_temp_thermal coretemp kvm_intel mac80211 iTCO_wdt iTCO_vendor_support kvm iwlwifi snd_hda_codec_realtek crct10dif_pclmul cfg80211 snd_hda_codec_hdmi snd_hda_codec_generic
Nov 20 15:09:57 l450 kernel:  snd_hda_intel crc32_pclmul snd_hda_codec crc32c_intel snd_hda_core snd_hwdep snd_seq snd_seq_device thinkpad_acpi snd_pcm joydev mei_me lpc_ich snd_timer mei i2c_i801 snd shpchp wmi soundcore tpm_tis rfkill tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_logitech_hidpp hid_logitech_dj i915 i2c_algo_bit drm_kms_helper drm serio_raw video
Nov 20 15:09:57 l450 kernel: CPU: 0 PID: 2434 Comm: Xorg Tainted: G        W  OE   4.2.6-300.fc23.x86_64 #1
Nov 20 15:09:57 l450 kernel: Hardware name: LENOVO 20DSS0W600/Intel powered classmate PC, BIOS JDET54WW (1.16 ) 08/19/2015
Nov 20 15:09:57 l450 kernel:  0000000000000000 0000000038b28b3e ffff88041a493718 ffffffff817729ea
Nov 20 15:09:57 l450 kernel:  0000000000000000 ffff88041a493770 ffff88041a493758 ffffffff8109e4b6
Nov 20 15:09:57 l450 kernel:  0000000000000000 0000000000000000 ffff880419300000 ffff880036959000
Nov 20 15:09:57 l450 kernel: Call Trace:
Nov 20 15:09:57 l450 kernel:  [<ffffffff817729ea>] dump_stack+0x45/0x57
Nov 20 15:09:57 l450 kernel:  [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
Nov 20 15:09:57 l450 kernel:  [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
Nov 20 15:09:57 l450 kernel:  [<ffffffffa0113b3f>] assert_plane.constprop.99+0x6f/0x90 [i915]
Nov 20 15:09:57 l450 kernel:  [<ffffffffa011cb29>] hsw_disable_ips+0x39/0x180 [i915]
Nov 20 15:09:57 l450 kernel:  [<ffffffffa011ccc4>] intel_pre_disable_primary+0x54/0x90 [i915]
Nov 20 15:09:57 l450 kernel:  [<ffffffffa011cd3a>] intel_crtc_disable_planes+0x3a/0x100 [i915]
Nov 20 15:09:57 l450 kernel:  [<ffffffffa011d696>] __intel_set_mode+0x226/0xb60 [i915]
Nov 20 15:09:57 l450 kernel:  [<ffffffffa011f2df>] ? intel_modeset_compute_config+0x3af/0xb60 [i915]
Nov 20 15:09:57 l450 kernel:  [<ffffffffa0124c86>] intel_crtc_set_config+0x2b6/0x580 [i915]
Nov 20 15:09:57 l450 kernel:  [<ffffffffa0036306>] drm_mode_set_config_internal+0x66/0x100 [drm]
Nov 20 15:09:57 l450 kernel:  [<ffffffffa009e542>] restore_fbdev_mode+0xc2/0xf0 [drm_kms_helper]
Nov 20 15:09:57 l450 kernel:  [<ffffffffa00a03c9>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x70 [drm_kms_helper]
Nov 20 15:09:57 l450 kernel:  [<ffffffffa00a0432>] drm_fb_helper_set_par+0x22/0x40 [drm_kms_helper]
Nov 20 15:09:57 l450 kernel:  [<ffffffffa01335ea>] intel_fbdev_set_par+0x1a/0x60 [i915]
Nov 20 15:09:57 l450 kernel:  [<ffffffff81413986>] fb_set_var+0x236/0x460
Nov 20 15:09:57 l450 kernel:  [<ffffffff817770b6>] ? mutex_lock+0x16/0x40
Nov 20 15:09:57 l450 kernel:  [<ffffffff812332d9>] ? do_sys_poll+0x149/0x5c0
Nov 20 15:09:57 l450 kernel:  [<ffffffff81409a72>] fbcon_blank+0x312/0x360
Nov 20 15:09:57 l450 kernel:  [<ffffffffa0045651>] ? drm_modeset_lock+0x81/0xd0 [drm]
Nov 20 15:09:57 l450 kernel:  [<ffffffff8148e763>] do_unblank_screen+0xd3/0x1a0
Nov 20 15:09:57 l450 kernel:  [<ffffffff81483d2a>] vt_ioctl+0x50a/0x12e0
Nov 20 15:09:57 l450 kernel:  [<ffffffff81477333>] tty_ioctl+0x3c3/0xba0
Nov 20 15:09:57 l450 kernel:  [<ffffffff81323a42>] ? avc_has_perm+0x122/0x190
Nov 20 15:09:57 l450 kernel:  [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
Nov 20 15:09:57 l450 kernel:  [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
Nov 20 15:09:57 l450 kernel:  [<ffffffff81231699>] SyS_ioctl+0x79/0x90
Nov 20 15:09:57 l450 kernel:  [<ffffffff810656cf>] ? do_page_fault+0x2f/0x80
Nov 20 15:09:57 l450 kernel:  [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Nov 20 15:09:57 l450 kernel: ---[ end trace a03faa32e8bf5c07 ]---
Nov 20 15:09:57 l450 /usr/libexec/gdm-x-session[2428]: (EE) Server terminated with error (1). Closing log file.
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: (gnome-settings-daemon:2722): Gdk-WARNING **: gnome-settings-daemon: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Nov 20 15:09:57 l450 telegramdesktop.desktop[13797]: AL lib: (EE) ALCpulsePlayback_contextStateCallback: Received context failure!
Nov 20 15:09:57 l450 telegramdesktop.desktop[13797]: AL lib: (EE) ALCpulsePlayback_streamStateCallback: Received stream failure!
Nov 20 15:09:57 l450 org.gnome.Boxes[2511]: (gnome-boxes:5353): GSpice-WARNING **: PulseAudio context failed Connection terminated
Nov 20 15:09:57 l450 gnome-session[2517]: gnome-session-binary[2517]: WARNING: App 'gnome-settings-daemon.desktop' exited with code 1
Nov 20 15:09:57 l450 gnome-session-binary[2517]: WARNING: App 'gnome-settings-daemon.desktop' exited with code 1
Nov 20 15:09:57 l450 org.a11y.atspi.Registry[2673]: XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
Nov 20 15:09:57 l450 org.a11y.atspi.Registry[2673]: after 15449 requests (15449 known processed) with 0 events remaining.
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2066]: (gnome-settings-daemon:2066): color-plugin-WARNING **: failed to connect to device: Failed to connect to missing device /org/freedesktop/ColorManager/devices/xrandr_Eizo_Nanao_Corporation_S2402W_37049109_sascha_1000
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2066]: (gnome-settings-daemon:2066): color-plugin-WARNING **: failed to connect to device: Failed to connect to missing device /org/freedesktop/ColorManager/devices/xrandr_eDP1_sascha_1000
Nov 20 15:09:57 l450 gnome-shell.desktop[2779]: (gnome-shell:2779): Gdk-WARNING **: gnome-shell: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Nov 20 15:09:57 l450 conky.desktop[3004]: XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
Nov 20 15:09:57 l450 conky.desktop[3004]: after 1024054 requests (1024054 known processed) with 0 events remaining.
Nov 20 15:09:57 l450 guake.desktop[3013]: guake: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: (firefox:4075): Gdk-WARNING **: firefox: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Nov 20 15:09:57 l450 sealertauto.desktop[2997]: seapplet: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Nov 20 15:09:57 l450 org.gnome.Boxes[2511]: (gnome-boxes:5353): Gdk-WARNING **: gnome-boxes: Fatal IO error 104 (Connection reset by peer) on X server :0.
Nov 20 15:09:57 l450 telegramdesktop.desktop[13797]: (Telegram:13797): Gdk-WARNING **: Telegram: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: thunderbird: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Nov 20 15:09:57 l450 abrt-applet.desktop[2995]: (abrt:2995): Gdk-WARNING **: abrt: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Nov 20 15:09:57 l450 redshift-gtk.desktop[3011]: (redshift-gtk:3011): Gdk-WARNING **: redshift-gtk: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: [3461:3461:1120/150957:ERROR:chrome_browser_main_extra_parts_x11.cc(62)] X IO error received (X server probably went away)
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: xcb_connection_has_error() returned true
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: keepassx: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Nov 20 15:09:57 l450 gnome-software-service.desktop[2992]: (org.gnome.Software:2992): Gdk-WARNING **: org.gnome.Software: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Nov 20 15:09:57 l450 gnome-session[2517]: gnome-session-binary[2517]: WARNING: Lost name on bus: org.gnome.SessionManager
Nov 20 15:09:57 l450 gnome-session-binary[2517]: WARNING: Lost name on bus: org.gnome.SessionManager
Nov 20 15:09:57 l450 org.gtk.vfs.Daemon[2511]: A connection to the bus can't be made
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[28179]: ** (gnome-settings-daemon:28179): WARNING **: Unable to initialize GTK+
Nov 20 15:09:57 l450 libvirtd[5571]: End of file while reading data: Input/output error
Nov 20 15:09:57 l450 libvirtd[1021]: End of file while reading data: Input/output error
Nov 20 15:09:57 l450 org.gnome.Shell.CalendarServer[2511]: gnome-shell-calendar-server[2813]: Lost (or failed to acquire) the name org.gnome.Shell.CalendarServer - exiting
Nov 20 15:09:57 l450 org.freedesktop.Telepathy.AccountManager[2511]: (process:2854): Goa-WARNING **: Error setting property 'ChatDisabled' on interface org.gnome.OnlineAccounts.Account: The connection is closed (g-io-error-quark, 18)
Nov 20 15:09:57 l450 org.gnome.evolution.dataserver.AddressBook9[2511]: (evolution-addressbook-factory-subprocess:3268): GLib-GIO-WARNING **: Error releasing name org.gnome.evolution.dataserver.Subprocess.Backend.AddressBookx3243x2: The connection is closed
Nov 20 15:09:57 l450 org.gnome.evolution.dataserver.Calendar7[2511]: (evolution-calendar-factory-subprocess:3303): GLib-GIO-WARNING **: Error releasing name org.gnome.evolution.dataserver.Subprocess.Backend.Calendarx3105x5: The connection is closed
Nov 20 15:09:57 l450 org.gtk.vfs.Daemon[2511]: A connection to the bus can't be made
Nov 20 15:09:57 l450 org.freedesktop.Tracker1[2511]: Received signal:15->'Terminated'
Nov 20 15:09:57 l450 org.freedesktop.Tracker1[2511]: OK
Nov 20 15:09:57 l450 org.gtk.vfs.Daemon[2511]: A connection to the bus can't be made
Nov 20 15:09:57 l450 org.gtk.vfs.Daemon[2511]: A connection to the bus can't be made
Nov 20 15:09:57 l450 org.gtk.vfs.Daemon[2511]: A connection to the bus can't be made
Nov 20 15:09:57 l450 gdm-password][2326]: pam_unix(gdm-password:session): session closed for user sascha
Nov 20 15:09:57 l450 audit[2326]: USER_END pid=2326 uid=0 auid=1000 ses=1 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:session_close grantors=pam_selinux,pam_loginuid,pam_console,pam_selinux,pam_keyinit,pam_namespace,pam_keyinit,pam_limits,pam_systemd,pam_unix,pam_gnome_keyring acct="sascha" exe="/usr/libexec/gdm-session-worker" hostname=? addr=? terminal=/dev/tty2 res=success'
Nov 20 15:09:57 l450 audit[2326]: USER_LOGOUT pid=2326 uid=0 auid=1000 ses=1 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='uid=1000 exe="/usr/libexec/gdm-session-worker" hostname=? addr=? terminal=? res=success'
Nov 20 15:09:57 l450 audit[2326]: CRED_DISP pid=2326 uid=0 auid=1000 ses=1 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_unix,pam_gnome_keyring acct="sascha" exe="/usr/libexec/gdm-session-worker" hostname=? addr=? terminal=/dev/tty2 res=success'
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: [3461:3461:1120/150957:FATAL:chrome_browser_main_extra_parts_x11.cc(59)] Check failed: !g_in_x11_io_error_handler.
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #0 0x7fd5bca00b9e base::debug::StackTrace::StackTrace()
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #1 0x7fd5bca1e751 logging::LogMessage::~LogMessage()
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #2 0x55a42d254e83 <unknown>
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #3 0x7fd5b543543e _XIOError
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #4 0x7fd5b543349a _XReply
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #5 0x7fd5b542930e XQueryPointer
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #6 0x7fd5c44e3ae7 views::DesktopScreenX11::GetCursorScreenPoint()
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #7 0x7fd5c2f4229f content::RenderWidgetHostViewAura::UpdateCursorIfOverSelf()
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #8 0x7fd5c2f423f9 content::RenderWidgetHostViewAura::RenderProcessGone()
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #9 0x7fd5c2f38557 content::RenderWidgetHostImpl::RendererExited()
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #10 0x7fd5c2f2c399 content::RenderViewHostImpl::RenderProcessExited()
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #11 0x7fd5c2f2a42f content::RenderProcessHostImpl::ProcessDied()
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #12 0x7fd5c2f2a594 content::RenderProcessHostImpl::FastShutdownIfPossible()
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #13 0x55a42d3ef489 <unknown>
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #14 0x55a42d2d087b <unknown>
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #15 0x55a42d254e39 <unknown>
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #16 0x7fd5b543543e _XIOError
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #17 0x7fd5b5432ccd _XEventsQueued
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #18 0x7fd5b54246a7 XPending
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #19 0x7fd5a9b36daa <unknown>
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #20 0x7fd5b3f7270d g_main_context_prepare
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #21 0x7fd5b3f7309b <unknown>
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #22 0x7fd5b3f7327c g_main_context_iteration
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #23 0x7fd5bc9f316a base::MessagePumpGlib::Run()
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #24 0x7fd5bca41678 base::RunLoop::Run()
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #25 0x55a42d400758 <unknown>
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #26 0x7fd5c2d03744 content::BrowserMainLoop::RunMainMessageLoopParts()
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #27 0x7fd5c2d063ed <unknown>
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #28 0x7fd5c2cfe5f9 content::BrowserMain()
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #29 0x7fd5c2c87994 <unknown>
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #30 0x7fd5c2c86401 content::ContentMain()
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #31 0x55a42d16d77a <unknown>
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #32 0x7fd5b256b580 __libc_start_main
Nov 20 15:09:57 l450 gnome-settings-daemon.desktop[2722]: #33 0x55a42d16d639 <unknown>
Nov 20 15:09:57 l450 audit[3461]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=1 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=3461 comm="chromium-browse" exe="/usr/lib64/chromium-browser/chromium-browser" sig=6
Nov 20 15:09:58 l450 abrt-dump-journal-oops[906]: abrt-dump-journal-oops: Found oopses: 1
Nov 20 15:09:58 l450 abrt-dump-journal-oops[906]: abrt-dump-journal-oops: Creating problem directories
Nov 20 15:09:58 l450 polkitd[880]: Unregistered Authentication Agent for unix-session:1 (system bus name :1.62, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_GB.UTF-8) (disconnected from bus)
Nov 20 15:09:58 l450 abrt-server[28317]: Deleting problem directory oops-2015-11-20-15:09:58-906-0 (dup of oops-2015-11-03-14:54:28-827-0)
Nov 20 15:09:58 l450 dbus[784]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
Nov 20 15:09:58 l450 dbus[784]: [system] Successfully activated service 'org.freedesktop.problems'
Nov 20 15:09:59 l450 abrt-dump-journal-oops[906]: Reported 1 kernel oopses to Abrt
Nov 20 15:09:59 l450 kernel: ------------[ cut here ]------------
Nov 20 15:09:59 l450 kernel: WARNING: CPU: 1 PID: 1954 at drivers/gpu/drm/i915/i915_gem.c:5269 i915_gem_track_fb+0x129/0x140 [i915]()
Nov 20 15:09:59 l450 kernel: WARN_ON(!(old->frontbuffer_bits & frontbuffer_bits))
Nov 20 15:09:59 l450 kernel: Modules linked in:
Nov 20 15:09:59 l450 kernel:  ccm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun xt_addrtype nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack br_netfilter dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c loop ebtable_nat ebtable_filter ebtable_broute bridge stp llc ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 intel_rapl iosf_mbi iwlmvm x86_pkg_temp_thermal coretemp kvm_intel mac80211 iTCO_wdt iTCO_vendor_support kvm iwlwifi snd_hda_codec_realtek crct10dif_pclmul cfg80211 snd_hda_codec_hdmi snd_hda_codec_generic snd_hda_intel
Nov 20 15:09:59 l450 kernel:  crc32_pclmul snd_hda_codec crc32c_intel snd_hda_core snd_hwdep snd_seq snd_seq_device thinkpad_acpi snd_pcm joydev mei_me lpc_ich snd_timer mei i2c_i801 snd shpchp wmi soundcore tpm_tis rfkill tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_logitech_hidpp hid_logitech_dj i915 i2c_algo_bit drm_kms_helper drm serio_raw video
Nov 20 15:09:59 l450 kernel: CPU: 1 PID: 1954 Comm: gnome-shell Tainted: G        W  OE   4.2.6-300.fc23.x86_64 #1
Nov 20 15:09:59 l450 kernel: Hardware name: LENOVO 20DSS0W600/Intel powered classmate PC, BIOS JDET54WW (1.16 ) 08/19/2015
Nov 20 15:09:59 l450 kernel:  0000000000000000 0000000089d955b4 ffff88040ab27a28 ffffffff817729ea
Nov 20 15:09:59 l450 kernel:  0000000000000000 ffff88040ab27a80 ffff88040ab27a68 ffffffff8109e4b6
Nov 20 15:09:59 l450 kernel:  ffff880419300000 0000000000000001 ffff8804191e6ac0 ffff8804191e4000
Nov 20 15:09:59 l450 kernel: Call Trace:
Nov 20 15:09:59 l450 kernel:  [<ffffffff817729ea>] dump_stack+0x45/0x57
Nov 20 15:09:59 l450 kernel:  [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
Nov 20 15:09:59 l450 kernel:  [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
Nov 20 15:09:59 l450 kernel:  [<ffffffffa00de739>] i915_gem_track_fb+0x129/0x140 [i915]
Nov 20 15:09:59 l450 kernel:  [<ffffffffa01252d7>] intel_prepare_plane_fb+0xe7/0x1a0 [i915]
Nov 20 15:09:59 l450 kernel:  [<ffffffffa009aeb9>] drm_atomic_helper_prepare_planes+0x59/0xe0 [drm_kms_helper]
Nov 20 15:09:59 l450 kernel:  [<ffffffffa011d61e>] __intel_set_mode+0x1ae/0xb60 [i915]
Nov 20 15:09:59 l450 kernel:  [<ffffffffa011f2df>] ? intel_modeset_compute_config+0x3af/0xb60 [i915]
Nov 20 15:09:59 l450 kernel:  [<ffffffffa0124c86>] intel_crtc_set_config+0x2b6/0x580 [i915]
Nov 20 15:09:59 l450 kernel:  [<ffffffffa0036306>] drm_mode_set_config_internal+0x66/0x100 [drm]
Nov 20 15:09:59 l450 kernel:  [<ffffffffa003a819>] drm_mode_setcrtc+0x3e9/0x500 [drm]
Nov 20 15:09:59 l450 kernel:  [<ffffffffa002b365>] drm_ioctl+0x125/0x610 [drm]
Nov 20 15:09:59 l450 kernel:  [<ffffffffa003a430>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
Nov 20 15:09:59 l450 kernel:  [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
Nov 20 15:09:59 l450 kernel:  [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
Nov 20 15:09:59 l450 kernel:  [<ffffffff81231699>] SyS_ioctl+0x79/0x90
Nov 20 15:09:59 l450 kernel:  [<ffffffff81775327>] ? schedule+0x37/0x80
Nov 20 15:09:59 l450 kernel:  [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Nov 20 15:09:59 l450 kernel: ---[ end trace a03faa32e8bf5c08 ]---
Comment 25 Adam Williamson 2015-11-20 16:30:38 EST
Sascha: Welp, I definitely see the same warning as in this bug in there, but you've also got a clear X crash trace; I think it might be best to file a bug specifically for the X crash, there. I think it's pretty clear that we don't always see that X crash together with the warning - I don't see it in any of the other reports on this bug - so it deserves its own report, I think. Thanks! File against xorg-x11-drv-intel , I think; you might also consider filing it upstream at bugs.freedesktop.org .
Comment 26 Marcel Ziswiler 2015-12-18 10:41:16 EST
I got it again without running any Chrome for quite some while. Unfortunately still not from a clean boot but rather resumed from suspend in UltraDock with DisplayPort screen connected.

Dec 17 10:08:19 localhost.localdomain kernel: WARNING: CPU: 2 PID: 4801 at drivers/gpu/drm/i915/intel_display.c:9151 hsw_enable_pc8+0x5e3/0x730 [i915]()

It resumend fine but 10 minutes later when attempting to click something on the application panel on the left the gnome session just crashed.

Dec 17 10:19:47 localhost.localdomain gnome-session-binary[2716]: WARNING: Lost name on bus: org.gnome.SessionManager
...
Dec 17 10:19:47 localhost.localdomain gnome-session-binary[2716]: WARNING: App 'gnome-shell.desktop' exited with code 1
...
Dec 17 10:19:48 localhost.localdomain kernel: WARNING: CPU: 0 PID: 2662 at drivers/gpu/drm/i915/intel_display.c:1362 assert_plane.constprop.99+0x6f/0x90 [i915]()
Dec 17 10:19:48 localhost.localdomain kernel: plane A assertion failure (expected on, current off)

Full logs attached. Will report upstream at bugs.freedesktop.org as well.
Comment 27 Marcel Ziswiler 2015-12-18 10:42 EST
Created attachment 1107204 [details]
full journal of gnome session crash
Comment 28 Fedora End Of Life 2016-11-24 07:51:39 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 29 Fedora End Of Life 2016-12-20 10:05:21 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.